For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet credit notes
      • POSTCreate a credit note
      • POSTUpload a credit note from a file
      • GETGet credit note validations
      • PUTUpdate credit note validations
      • POSTReset credit note validations
      • GETGet a credit note by ID
      • DELDelete a credit note
      • PATCHUpdate a credit note
      • POSTApprove a credit note
      • POSTCancel a credit note
      • POSTCancel OCR of a credit note
      • GETGet all line items of a credit note
      • POSTAdd a new line item to a credit note
      • PUTReplace all line items of a credit note
      • GETGet a single line item of a credit note
      • DELDelete a line item from a credit note
      • PATCHUpdate a line item of a credit note
      • POSTReject a credit note
      • POSTSubmit a credit note for approval
      • GETValidate a credit note
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableCredit notes

Update credit note validations

PUT
/payable_credit_notes/validations
PUT
/v1/payable_credit_notes/validations
$curl -X PUT https://api.sandbox.monite.com/v1/payable_credit_notes/validations \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "required_fields": [
> "currency"
> ]
>}'
1{
2 "required_fields": [
3 "currency"
4 ]
5}
Update credit notes validations.
Was this page helpful?
Previous

Reset credit note validations

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
required_fieldslist of enumsRequired

Response

Successful Response
required_fieldslist of enums

Errors

400
Put Payable Credit Notes Validations Request Bad Request Error
401
Put Payable Credit Notes Validations Request Unauthorized Error
403
Put Payable Credit Notes Validations Request Forbidden Error
422
Put Payable Credit Notes Validations Request Unprocessable Entity Error
429
Put Payable Credit Notes Validations Request Too Many Requests Error